Skip to main content
GET
/
audit-logs
List audit logs
curl --request GET \
  --url https://api.artu.ai/audit-logs \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Environment: <api-key>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "resource": "<string>",
      "operation": "<string>",
      "resourceId": "<string>",
      "actorType": "<string>",
      "actorId": "<string>",
      "ipAddress": "<string>",
      "userAgent": "<string>",
      "requestId": "<string>",
      "changes": {},
      "metadata": {},
      "createdAt": "<string>"
    }
  ],
  "pagination": {
    "hasMore": true,
    "nextCursor": "<string>",
    "totalCount": 0
  }
}

Authorizations

Authorization
string
header
required

API key authentication. Obtain your API key from the dashboard.

X-Environment
string
header
required

Target environment for the request. Must be "test" or "live".

Query Parameters

filter
object
cursor
string
limit
integer
default:20
Required range: 1 <= x <= 200

Response

200 - application/json

OK

data
object[]
required
pagination
object
required